Page MenuHomePhabricator

Thumbnails for PDF getting disfigured
Closed, ResolvedPublic

Description

The file with this issue (on Commons):
https://commons.wikimedia.org/wiki/File:1894-09-18-Patent-526317-Brake-for-Velocipedes.pdf

The thumbnails get distorted and color inverted, different depending on the preview size. (Reported on Commons:Forum by Ralf Roleček)


See Also: T167420

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2018, 11:13 PM
Perhelion renamed this task from Thumbnails for PDF get disfigured to Thumbnails for PDF getting disfigured.Jan 30 2018, 11:17 PM
Gilles added a subscriber: Gilles.Jan 31 2018, 9:53 AM

Works fine on Vagrant with Thumbor. Odd...

Production Thumbor servers run Ghostscript 9.06 (2012-08-08) which is very outdated, because it's on Jessie. Vagrant is on Stretch now, which has Ghostscript 9.20 (2016-09-26). Upgrading ghostscript is all that should be required here.

This bug is blocked by T170817: Upgrade Thumbor servers to Stretch

Gilles moved this task from Backlog to Radar on the Thumbor board.

FYI, Ghostscript on the Thumbor servers got upgraded to 9.26, worth retesting.

Gilles closed this task as Resolved.Feb 12 2019, 1:52 PM
Gilles claimed this task.

Looks fine to me now, please reopen and give us a link to a specific thumbnail if you still see broken ones.